Gravv DOCS
Docs Agent Get Started
API Reference Get external account institutions

Get external account institutions

Retrieve a list of supported financial institutions for external accounts.

GET/v1/external-accounts/institutions

Query Parameters

Page number for pagination

Number of institutions per page

country ISO 2 code

Filters institutions by type.

Possible values: bank, mobile_money

Responses

Status Description
200 List of external account institutions
400 Input validation failed.

200 response

Institution identifier.

Human-readable institution name.

ISO 3166-1 alpha-2 country code.

Settlement currency for this institution.

Identifier type accepted by this institution.

Possible values: bank_account_number, iban, phone_number, clabe

Minimum transfer amount in the institution's currency minor units.

Maximum transfer amount in the institution's currency minor units.

URL to the institution's logo image, when available.

Category of financial institution.

Possible values: bank, mobile_money

{
"data": {
"items": [
  {
    "account_number_type": "bank_account_number",
    "country_iso_code": "NG",
    "currency": "NGN",
    "id": "c4788635-764d-43d3-9ffb-966b0fe29ff9",
    "max_amount": 10000,
    "min_amount": 1,
    "name": "Keystone Bank PLC"
  },
  {
    "account_number_type": "bank_account_number",
    "country_iso_code": "NG",
    "currency": "NGN",
    "id": "202b48a4-6d18-4ca3-8996-69a83b0e7d0a",
    "max_amount": 10000,
    "min_amount": 1,
    "name": "First City Monument Bank PLC"
  },
  {
    "account_number_type": "bank_account_number",
    "country_iso_code": "NG",
    "currency": "NGN",
    "id": "f91e1b0c-8c98-4917-8c7b-6370a50a2d4f",
    "max_amount": 10000,
    "min_amount": 1,
    "name": "United Bank For Africa PLC"
  }
],
"items_per_page": 10,
"page": 1,
"total_pages": 6
},
"error": null
}

400 response

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC